summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-portage/gentoopm/gentoopm-0.3.2-r1.ebuild')
-rw-r--r--app-portage/gentoopm/gentoopm-0.3.2-r1.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/app-portage/gentoopm/gentoopm-0.3.2-r1.ebuild b/app-portage/gentoopm/gentoopm-0.3.2-r1.ebuild
new file mode 100644
index 00000000000..9cd209e6273
--- /dev/null
+++ b/app-portage/gentoopm/gentoopm-0.3.2-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A common interface to Gentoo package managers"
+HOMEPAGE="https://github.com/mgorny/gentoopm/"
+SRC_URI="https://github.com/mgorny/gentoopm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+IUSE=""
+
+RDEPEND="
+ || (
+ >=sys-apps/pkgcore-0.9.4[${PYTHON_USEDEP}]
+ >=sys-apps/portage-2.1.10.3[${PYTHON_USEDEP}] )"
+PDEPEND="app-eselect/eselect-package-manager"
+
+python_test() {
+ esetup.py test
+}